#### windows::basic_stream_handle::operator=

Move-assign a stream handle from another.

    basic_stream_handle & operator=(
        basic_stream_handle && other);

This assignment operator moves a stream handle from one object to another.

###### Parameters

other

  The other stream handle object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_stream_handle(const executor_type&)` constructor.